Subject: bug#39236: [musl] coreutils cp mishandles error return from lchmod

From: Florian Weimer <[email-masked]>
Date: Wed, 22 Jan 2020 15:34:18 +0100

* Rich Felker:

> coreutils should be opting to use the system-provided lchmod, which is
> safe, and correctly handling error returns (silently treating
> EOPNOTSUPP as success) rather than as hard errors.

glibc's lchmod always returns ENOSYS (except on Hurd).  I don't know how
lchmod is used in coreutils, but I suspect it is not particularly
useful.

Thanks,
Florian